Mono.Data.Sqlite 4.0.0.0 System.Object This base class provides datatype conversion services for the SQLite provider. To be added.
- Method
  4.0.0.0
  System.String[] `` `` Source string to split apart Separator character Smart method of splitting a string. Skips quoted elements, removes the quotes. A string array of the split up elements This split function works somewhat like the String.Split() function in that it breaks apart a string into pieces and returns the pieces as an array. The primary differences are: Only one character can be provided as a separator characterQuoted text inside the string is skipped over when searching for the separator, and the quotes are removed. Thus, if splitting the following string looking for a comma:
  One,Two, "Three, Four", Five
  The resulting array would contain
  [0] One
  [1] Two
  [2] Three, Four
  [3] Five
  Note that the leading and trailing spaces were removed from each item during the split.
- Method
  4.0.0.0
  System.Boolean `` A string or number representing true or false Convert a value to true or false. To be added.
- Method
  4.0.0.0
  System.Boolean `` A string representing true or false Convert a string to true or false. "yes", "no", "y", "n", "0", "1", "on", "off" as well as Boolean.FalseString and Boolean.TrueString will all be converted to a proper boolean value.
- Method
  4.0.0.0
  System.DateTime `` The value to convert Converts a julianday value into a DateTime A .NET DateTime To be added.
- Method
  4.0.0.0
  System.DateTime `` The string containing either a Tick value, a JulianDay double, or an ISO8601-format string Converts a string into a DateTime, using the current DateTimeFormat specified for the connection when it was opened. A DateTime value Acceptable ISO8601 DateTime formats are: yyyy-MM-dd HH:mm:ss yyyyMMddHHmmss yyyyMMddTHHmmssfffffff yyyy-MM-dd yy-MM-dd yyyyMMdd HH:mm:ss THHmmss
- Method
  4.0.0.0
  System.Double `` The DateTime to convert Converts a DateTime struct to a JulianDay double The JulianDay value the Datetime represents To be added.
- Method
  4.0.0.0
  System.String `` The DateTime value to convert Converts a DateTime to a string value, using the current DateTimeFormat specified for the connection when it was opened. Either a string consisting of the tick count for DateTimeFormat.Ticks, a JulianDay double, or a date/time in ISO8601 format. To be added.
- Method
  4.0.0.0
  System.String `` `` The pointer to the memory where the UTF-8 string is encoded The number of bytes to decode Converts a UTF-8 encoded IntPtr of the specified length into a .NET string A string containing the translated character(s) To be added.
- Method
  4.0.0.0
  System.Byte[] `` The DateTime to convert. Convert a DateTime to a UTF-8 encoded, zero-terminated byte array. The UTF-8 encoded string, including a 0 terminating byte at the end of the array. This function is a convenience function, which first calls ToString() on the DateTime, and then calls ToUTF8() with the string result.
- Method
  4.0.0.0
  System.Byte[] `` The string to convert to UTF-8 Converts a string to a UTF-8 encoded byte array sized to include a null-terminating character. A byte array containing the converted string plus an extra 0 terminating byte at the end of the array. To be added.
- Method
  4.0.0.0
  System.String `` `` The pointer to the memory where the UTF-8 string is encoded The number of bytes to decode Converts a UTF-8 encoded IntPtr of the specified length into a .NET string A string containing the translated character(s) To be added.